@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    font-family: 'Montserrat', sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    border: none;
}

body {
    background-color: #232634;
}

/* Onde o conteudo principal vai aparecer */
.main-container {
    background-color: #292c3c;
    width: 50vw;
    height: 25vw;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    border-radius: 15px;
    box-shadow: 0 0 10px #3a4058;
}

/* Titulo do programa */
.title {
    color: #c6d0f5;
    font-size: 2vw;
    font-weight: 700;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.5vw;
}

/* Area onde o usuario da as informacoes para o programa */
.main-content {
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
}

.input {
    padding: 1vw;
}

/* Configuracoes da area de input (A parte de esconder as setas de selecao vieram da W3C Schools */
#yearGrade {
    background-color: #414559;
    color: #b5bfe2;
    font-size: 1.2vw;
    font-weight: 500;
    width: 20vw;
    padding: 0.7vw;
    border-radius: 25px;
    text-align: center;
}

#yearGrade::-webkit-outer-spin-button,
#yearGrade::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#yearGrade[type=number] {
  -moz-appearance: textfield;
  appearance: textfield;
}

/* Estilos dos botoes */
#submit {
    background-color: #303446;
    color: #a5adce;
    font-size: 1.2vw;
    font-weight: 600;
    padding: 0.5vw;
    border-radius: 25px;
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
}

#submit:hover {
    background-color: #414559;
    color: #b5bfe2;
    transition: 0.5s linear;
}

/* Area onde o resultado aparece */
.results {
    color: #c6d0f5;
    font-size: 1.5vw;
    font-weight: 500;
    text-align: center;
    position: absolute;
    transform: translate(-50%, -75%);
    left: 50%;
    top: 75%;
}